#pragma once
#include <stdint.h>

namespace APU
{
    uint8_t readRegister(uint16_t address);
    void writeRegister(uint16_t address, uint8_t value);

    void init();
    void reset();
    void silence();
    void resume();
    void incDIVAPU();
    void update(uint32_t dt);
}
